@import '~@angular/material/theming';

@mixin mmd-examples-component-theme($theme) {
  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);

  mmd-examples {
    .nav-responsive {
      border-bottom: 1px solid mat-color($primary);

      mat-select {
        line-height: 48px;
        margin: 0 20px;
        width: 100%;
      }
    }
  }

  .nav-responsive-overlay {
    .active {
      color: mat-color($accent, default-contrast);
      background-color: mat-color($accent);
    }
  }
}
